#
# spec file for package qtsixa 
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%define src_name QtSixA

Name:           qtsixa
Version:        1.5.1
Release:        1.5
License:        GPL-2.0
Summary:        A Sixaxis Joystick Manager
Url:            http://qtsixa.sourceforge.net/
Group:          Hardware/JoystickHardware/Joystick
Source:         %{src_name}-%{version}-src.tar.gz
Source2:        sixad.service
Source99:       qtsixa-rpmlintrc
Patch1:         sixad-shared-h.patch
Patch2:         desktop_file_valid.patch
BuildRequires:  python-qt4-devel
BuildRequires:  libusb-compat-devel
BuildRequires:  libjack-devel
BuildRequires:  bluez-devel
#BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
QtSixA can connect PS3 hardware (Sixaxis/DualShock3 and Keypads) to a Linux-compatible machine.
Currently it supports Sixaxis buttons, axis, accelerometers and LEDs.
(rumble support is available in the latest beta version)

QtSixA also registers the Sixaxis and Keypad's MAC/ID in the joystick name (ex: "PLAYSTATION(R)3 Controller (00:XX:X0:0X:XX)". 

%package -n sixad
Version:        %{version}
Summary:        The Sixaxis Connection Daemon
Group:          Hardware/JoystickHardware/Joystick
Requires:       %{name}
Requires:       logrotate

%description -n sixad
The backend Code/Connection Daemon for QtSixA

%package -n sixad-utils
Version:        %{version}
Summary:        Utils for the sixad connection daemon
Group:          Hardware/JoystickHardware/Joystick
Requires:       sixad
Conflicts:      sixpair

%description -n sixad-utils
Utils Programs for the sixad connection daemon

%prep
%setup -q -n %{src_name}-%{version}
%patch1 -p1
%patch2 -p1

%build
make all %{?_smp_mflags}

%install
%make_install
%{__rm} %{buildroot}/etc/init.d/sixad
install -D -m 0644 %{S:2} %{buildroot}/usr/lib/systemd/system/sixad.service
install -d -m0777 %{buildroot}/var/lib/%{name}

%pre
if ! /usr/bin/getent group sixad >/dev/null; then
    %{_sbindir}/groupadd -r sixad 2>/dev/null || :
fi
if ! /usr/bin/getent passwd sixad >/dev/null; then
    %{_sbindir}/useradd -m -r -c "sixad account" -d /var/lib/sixad -G sixad -g sixad \
  -r -s /bin/false sixad 2>/dev/null || :
fi

%service_add_pre %{name}.service

%post
%service_add_post %{name}.service

%preun
%service_del_preun %{name}.service

%postun
%service_del_postun %{name}.service

%files
%defattr(-,root,root)
%doc README COPYING TODO
%dir %{_datadir}/qtsixa
%dir %{_datadir}/qtsixa/game-profiles
%dir %{_datadir}/qtsixa/gui
%dir %{_datadir}/qtsixa/icons
%dir %{_datadir}/qtsixa/pics
%dir %{_datadir}/qtsixa/profiles

%{_bindir}/qtsixa
%{_bindir}/sixad-lq
%{_bindir}/sixad-notify

%{_datadir}/applications/qtsixa.desktop
%{_datadir}/pixmaps/qtsixa.xpm
%{_datadir}/qtsixa/game-profiles/etracer_accel
%{_datadir}/qtsixa/game-profiles/etracer_axis
%{_datadir}/qtsixa/game-profiles/etracer_full
%{_datadir}/qtsixa/game-profiles/neverballrc_accel
%{_datadir}/qtsixa/game-profiles/neverballrc_axis
%{_datadir}/qtsixa/game-profiles/stk_accel
%{_datadir}/qtsixa/game-profiles/stk_axis
%{_datadir}/qtsixa/game-profiles/stk_digital
%{_datadir}/qtsixa/game-profiles/stk_full
%{_datadir}/qtsixa/game-profiles/wine-epsxe_accel-driv.reg
%{_datadir}/qtsixa/game-profiles/wine-epsxe_accel-mov.reg
%{_datadir}/qtsixa/game-profiles/wine-epsxe_axis.reg
%{_datadir}/qtsixa/gui/main.py
%{_datadir}/qtsixa/gui/qtsixa_about.py
%{_datadir}/qtsixa/gui/qtsixa_main.py
%{_datadir}/qtsixa/gui/qtsixa_manage.py
%{_datadir}/qtsixa/gui/qtsixa_newdev.py
%{_datadir}/qtsixa/gui/qtsixa_newprofile.py
%{_datadir}/qtsixa/gui/qtsixa_preferences.py
%{_datadir}/qtsixa/gui/qtsixa_rc.py
%{_datadir}/qtsixa/gui/qtsixa_reference.py
%{_datadir}/qtsixa/gui/shared.py
%{_datadir}/qtsixa/gui/ui_qtsixa_aboutw.py
%{_datadir}/qtsixa/gui/ui_qtsixa_mainw.py
%{_datadir}/qtsixa/gui/ui_qtsixa_managew.py
%{_datadir}/qtsixa/gui/ui_qtsixa_newdevw.py
%{_datadir}/qtsixa/gui/ui_qtsixa_newprofilew.py
%{_datadir}/qtsixa/gui/ui_qtsixa_preferencesw.py
%{_datadir}/qtsixa/gui/ui_qtsixa_referencew.py
%{_datadir}/qtsixa/gui/ui_qtsixa_sixpairw.py
%{_datadir}/qtsixa/icons/apply.png
%{_datadir}/qtsixa/icons/battery.png
%{_datadir}/qtsixa/icons/bt.png
%{_datadir}/qtsixa/icons/bt_off.png
%{_datadir}/qtsixa/icons/bug.png
%{_datadir}/qtsixa/icons/close.png
%{_datadir}/qtsixa/icons/config.png
%{_datadir}/qtsixa/icons/edit.png
%{_datadir}/qtsixa/icons/eject.png
%{_datadir}/qtsixa/icons/exit.png
%{_datadir}/qtsixa/icons/force.png
%{_datadir}/qtsixa/icons/hint.png
%{_datadir}/qtsixa/icons/info.png
%{_datadir}/qtsixa/icons/manage.png
%{_datadir}/qtsixa/icons/manual.png
%{_datadir}/qtsixa/icons/minus.png
%{_datadir}/qtsixa/icons/plus.png
%{_datadir}/qtsixa/icons/qtsixa.png
%{_datadir}/qtsixa/icons/qtsixa.qrc
%{_datadir}/qtsixa/icons/qtsixa_16.png
%{_datadir}/qtsixa/icons/qtsixa_32.png
%{_datadir}/qtsixa/icons/rec.png
%{_datadir}/qtsixa/icons/refresh.png
%{_datadir}/qtsixa/icons/sixaxis.png
%{_datadir}/qtsixa/icons/sixaxis_16.png
%{_datadir}/qtsixa/icons/stop.png
%{_datadir}/qtsixa/icons/trash.png
%{_datadir}/qtsixa/icons/ubuntu.png
%{_datadir}/qtsixa/icons/undo.png
%{_datadir}/qtsixa/icons/web.png
"%{_datadir}/qtsixa/pics/(NOT).png"
"%{_datadir}/qtsixa/pics/(None).png"
%{_datadir}/qtsixa/pics/2H4U.png
"%{_datadir}/qtsixa/pics/Fake Joystick 2.png"
"%{_datadir}/qtsixa/pics/Fake Joystick.png"
"%{_datadir}/qtsixa/pics/Final Fantasy VIII.png"
%{_datadir}/qtsixa/pics/Gnome.png
%{_datadir}/qtsixa/pics/KDE.png
"%{_datadir}/qtsixa/pics/Super Maryo Chronicles.png"
%{_datadir}/qtsixa/pics/Torcs.png
"%{_datadir}/qtsixa/pics/UltraStar Deluxe.png"
%{_datadir}/qtsixa/pics/Wormux.png
%{_datadir}/qtsixa/pics/sixa_x.xcf
%{_datadir}/qtsixa/profiles/2H4U
"%{_datadir}/qtsixa/profiles/Fake Joystick"
"%{_datadir}/qtsixa/profiles/Fake Joystick 2"
"%{_datadir}/qtsixa/profiles/Final Fantasy VIII"
%{_datadir}/qtsixa/profiles/Gnome
%{_datadir}/qtsixa/profiles/KDE
"%{_datadir}/qtsixa/profiles/Super Maryo Chronicles"
%{_datadir}/qtsixa/profiles/Torcs
"%{_datadir}/qtsixa/profiles/UltraStar Deluxe"
"%{_datadir}/qtsixa/profiles/UltraStar Deluxe (Remote)"
%{_datadir}/qtsixa/profiles/Wormux
"%{_datadir}/qtsixa/profiles/ePSXe States"
%{_datadir}/qtsixa/sixad-notify.desktop


%files -n sixad
%defattr(-,root,root)
%config %{_sysconfdir}/default/sixad
%config %{_sysconfdir}/logrotate.d/sixad
/usr/lib/systemd/system/sixad.service

%{_bindir}/sixad
%{_sbindir}/sixad-3in1
%{_sbindir}/sixad-bin
%{_sbindir}/sixad-dbus-blocker
%{_sbindir}/sixad-raw
%{_sbindir}/sixad-remote
%{_sbindir}/sixad-sixaxis

%files -n sixad-utils
%defattr(-,root,root)
%{_sbindir}/sixpair
%{_sbindir}/hidraw-dump
%{_sbindir}/sixpair-kbd
%{_bindir}/sixad-jack


%changelog
* Wed Apr 30 2014 seiler@b1-systems.de
- added Conflicts for sixpair because qtsixa-utils also provides sixpair
* Mon Apr 14 2014 seiler@b1-systems.de
- initial commit
